//TX67801  JOB  (1),TX67801,
//             COND=(0,NE),
//             CLASS=A,MSGCLASS=A,MSGLEVEL=(1,1)
//*
//* 2021/05/26 @kl TX67801 Add SMPMTS and SMPSTS to SYSLIB
//*                        in ASMS procedure.
//*
//RECEIVE EXEC SMP4
//SMPPTFIN DD DATA,DLM='??'
++ USERMOD(TX67801)     /* REWORK(20210424) */             .
++ VER (X067)
   FMID(EBA1101)
 /*
   PROBLEM DESCRIPTION(S):
     TX67801 -
      Add SMPMTS and SMPSTS ahead of other SYSLIB data sets
      in ASMS procedure.

   COMPONENT:  5741-SC1S1-EBA1101

   APARS FIXED: TX67801

   SPECIAL CONDITIONS:
     IOGEN:  An I/O generation is required for implementation
       of the functionality added by this usermod.
       GENTYPE = IO

   COMMENTS:
     LAST CHANGE:  2021/04/24

     REWORK HISTORY:
       2021/04/24: Created.

     THE FOLLOWING MODULES AND/OR MACROS ARE AFFECTED BY THIS USERMOD:

     MACROS
       ASMS
 */.
++ MACUPD   (ASMS    ) DISTLIB(APROCLIB) SYSLIB(PROCLIB ).
./ CHANGE NAME=ASMS
//SYSLIB   DD  DISP=SHR,DSN=SYS1.SMPMTS                        @TX67801 03000000
//         DD  DISP=SHR,DSN=SYS1.SMPSTS                        @TX67801 04000000
//         DD  DSN=SYS1.AMODGEN,DISP=(SHR,PASS)                @TX67801 04040000
//         DD  DSN=SYS1.AMACLIB,DISP=(SHR,PASS)                @TX67801 04060000
??
//SMPCNTL  DD  *
 RECEIVE S(TX67801).
//*
//APPLYCK EXEC SMP4
//SMPCNTL  DD  *
  APPLY S(TX67801)
        CHECK
        BYPASS(ID)
        .
//*
//APPLY   EXEC SMP4
//SMPCNTL  DD  *
  APPLY S(TX67801)
        .
//

//*---- use the following steps for REJECT or RESTORE ------------- ***
//REJECT  EXEC SMP4
//SMPCNTL  DD  *
  REJECT S(TX67801).
//

//RESTORE EXEC SMP4
//SMPCNTL  DD  *
  RESTORE S(TX67801).
//
